<?php
 
 
 

namespace PhpWA\Protocol\Proto\PaymentInfo;

use UnexpectedValueException;




class Currency
{
    


    const UNKNOWN_CURRENCY = 0;
    


    const INR = 1;

    private static $valueToName = [
        self::UNKNOWN_CURRENCY => 'UNKNOWN_CURRENCY',
        self::INR => 'INR',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

